import bb.cascades 1.3

Sheet {

    peekEnabled: false    
    Page {
        id: page1
        titleBar: TitleBar {
            title: qsTr("Incoming Call") + Retranslate.onLanguageChanged	            
            visibility: ChromeVisibility.Visible
            acceptAction: ActionItem {
                title: qsTr("Close") + Retranslate.onLanguageChanged	            
                onTriggered: {
                    _viewCall.closeViewCallWindow()
                }
            
            }
        } // title

        actions: [
            ActionItem {
                title: qsTr("Black List") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ca_phone_missed.png"
                onTriggered: {
                    _viewCall.blockCaller(0)
                }
                ActionBar.placement: ActionBarPlacement.OnBar
                objectName: "action_block"
            },

            ActionItem {
                title: qsTr("White List") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ca_phone_outgoing.png"
                onTriggered: {
                    _viewCall.blockCaller(1)
                }
                ActionBar.placement: ActionBarPlacement.OnBar
                objectName: "action_whitelist"
            },
            
            
            ActionItem {
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Delete") + Retranslate.onLanguageChanged	            
                imageSource: "asset:///images/ic_delete.png"
                onTriggered: {
                    _viewCall.deleteCallLog()
                }
            }
        ]

        objectName: "page"
        Container {
            topPadding: 5
            leftPadding: 5
            rightPadding: 5

            Container {
                Header {
                    title: qsTr("Datetime") + Retranslate.onLanguageChanged	            
                }
                Container {
                    topPadding: 10
                    leftPadding: 20
                    rightPadding: 20
        
                    Label {
                        objectName: "lb_datetime"
                        text: "N/A"
                    }
                }
            }
            
            Container {
                topPadding: 20
                Header {
                    title: qsTr("Name") + Retranslate.onLanguageChanged	            
                }
                Container {
                    topPadding: 10
                    leftPadding: 20
                    rightPadding: 20
                    
                    Label {
                        objectName: "lb_name"
                        text: "N/A"
                    }
                }
            }

            Container {
                topPadding: 20
                Header {
                    title: qsTr("Number") + Retranslate.onLanguageChanged	            
                }
                Container {
                    topPadding: 10
                    leftPadding: 20
                    rightPadding: 20
                    
                    Label {
                        objectName: "lb_number"
                        text: "N/A"
                    }
                }
            }

        
        }
        
        
    }
}

